Name: way-displays
Version: 1.11.0
Release: %autorelease
Summary: Auto Manage Your Wayland Displays

License: MIT
URL: https://github.com/alex-courtis/way-displays
Source0: https://github.com/alex-courtis/way-displays/archive/refs/tags/%version.tar.gz

# Compiler
BuildRequires: gcc, make, g++
# Tests
BuildRequires: libcmocka, libcmocka-devel
# Manpage generation
BuildRequires: pandoc
# App dependencies
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(libinput)
BuildRequires: pkgconfig(yaml-cpp)
BuildRequires: pkgconfig(libudev)

%description
- Set resolution/refresh: preferred, highest or custom
- Enable VRR / adaptive sync
- Arrange in a row or a column
- Auto scale based on DPI: 96 is a scale of 1
- Update when displays plugged/unplugged
- Update when laptop lid closed/opened


%prep
%autosetup


%build
%make_build


%install
make PREFIX="/usr" PREFIX_ETC="" DESTDIR="%{buildroot}" install

%check
#make test

%files
%{_mandir}/man1/way-displays.*
%{_bindir}/way-displays
%{_sysconfdir}/way-displays/*
%license LICENSE
%doc README.md


%changelog
%autochangelog
